/*
 * 插件初始化
 */
mui.init();

/*
 * 事件初始化
 */
mui.plusReady(function() {

	//提交
	mui(".body").on("tap", ".saveButton", function() {
		var loginNo = document.getElementById('loginNo').value;
		var newPassword = document.getElementById('password').value;
		var newPassword2 = document.getElementById('password2').value;
		var code = document.getElementById('code').value;
		var verifyId = plus.storage.getItem('verifyId');

		var params = {};
		params.loginNo = loginNo;
		params.newPassword = newPassword;
		params.newPassword2 = newPassword2;
		params.code = code;
		params.verifyId = verifyId;

		if(!before(params)) {
			return;
		}

		//先校验长度后再加密
		params.newPassword = md5(newPassword);
		params.newPassword2 = md5(newPassword2);

		var url = '/user/user/forget-password';
		jAjax(url, 'POST', true, params, function(type, data) {
			if(!type) return console.log(data);
			var msg = '修改成功';
			if(data.status != '200') {
				msg = data.msg;
				mui.toast(msg, {
					duration: 'long',
					type: 'div'
				})
			} else {
				mui.toast(msg, {
					duration: 'long',
					type: 'div'
				})

				plus.storage.setItem('verifyId', data.result.verifyId);
				setTimeout(function() {
					mui.back();
				}, 500)
			}
			console.log(JSON.stringify(data));
		});
	});

	mui('.mui-input-row').on('tap', '.getVerifyCode', function() {

		var loginNo = document.getElementById('loginNo').value;
		if(loginNo == '') {
			mui.toast('手机号码必填');
			return;
		}

		var myreg = /^(1\d{10})$/;
		if(!myreg.test(loginNo)) {
			mui.toast('请填写正确的手机号码');
			return;
		}

		console.log();
		plus.storage.setItem('loginNo', loginNo);

		var url = '/user/user/validloginno';
		var params = {'loginNo': loginNo};
		jAjax(url, 'POST', true, params, function(type, data) {
			
			if (!type) return plus.nativeUI.toast('网络繁忙，请稍后重试', {duration: 'long'});
			if (data.status == '200') return plus.nativeUI.toast('查询不到该注册帐号', {duration: 'long'});
			
			mui.openWindowWithTitle({
				id: 'register.html',
				url: '../forget/forget-send.html',
				waiting: {
					title: '正在加载...'
				}
			}, {
				title: { //标题配置
					text: "获取手机验证码", //标题文字
				},
				back: { //左上角返回箭头
					image: {
						base64Data: backBase64
					}
				}
			});
			
		});
		
	});

	window.addEventListener('validCodeBtn', function(e) {
		console.log('验证码倒计时 forget');
		settime();
	});
});

//定义一个60秒计时器变量
var countdown = 60;
//构造一个倒计时函数叫settime
function settime() {
	var obj = document.getElementById('getVerifyCode');
	//开始判断倒计时是否为0
	if(countdown == 0) {
		obj.removeAttribute("disabled");
		obj.value = "获取验证码";
		countdown = 60;
		//立即跳出settime函数，不再执行函数后边的步骤
		return;
	} else {
		obj.setAttribute("disabled", true);
		obj.value = "重新获取(" + countdown + ")";
		countdown--;
	}
	//过1秒后执行倒计时函数
	setTimeout(function() {
		settime()
	}, 1000)
}

function before(params) {

	//	params.loginNo = loginNo;
	//		params.newPassword = newPassword;
	//		params.newPassword2 = newPassword2;
	//		params.code = code;
	//		params.verifyId = verifyId;

	if(plus.storage.getItem('verifyId') == undefined || plus.storage.getItem('verifyId') == '') {
		plus.nativeUI.toast('请获取验证码', {
			duration: 'long'
		});
		return false;
	}

	console.log('register valid====>>1');
	if(params.loginNo == '' || params.newPassword == '' || params.newPassword2 == '' || params.verifyId == '' || params.code == '') {
		mui.toast('注册信息请全完善');
		return false;
	}
	console.log('register valid====>>2' + params.password);
	if(params.newPassword.length < 6 || params.newPassword.length > 30) {
		mui.toast('设置6-30位密码');
		return false;
	}

	console.log('register valid====>>3');
	if(params.newPassword != params.newPassword2) {
		mui.toast('两次密码不一致');
		return false;
	}

	var myreg = /^(1\d{10})$/;
	if(!myreg.test(params.loginNo)) {
		mui.toast('请填写正确的手机号码');
		return false;
	}

	console.log('register valid====>>10');
	return true;
}