var _isLogin = false,
	_active = 0,
	_activeShop = 0,
	_pages = [{
		url: 'shop/list/list.html',
		id: 'shopList',
		styles: {
			top: '45px',
			bottom: '51px',
			width: '100%'
		}
	}],
	thisLng = '',
	thisLat = '';

/**
 * 判断登录及加盟状态
 * @param {Function} callback(state): 回调方法
 * 		{Number} state: 0 - 未登录, 1 - 已登录未(完全)加盟, 2 - 已登录且已加盟
 */
function decideState(callback) {
	var _user = plus.storage.getItem('user');

	// 判断是否已登录
	if (!_user || _user == '' || _user == undefined) {
		callback(0);
	} else {
		jAjax('/business/merchant/join_query', 'POST', true, null, function (type, data) {
			if (!type) {
				msg = '网络繁忙，请稍后重试';
				plus.nativeUI.toast(msg, {
					duration: 'long'
				});
				callback(0);
				return;
			}

			if (data.status != '200') {
				msg = data.msg;
				plus.nativeUI.toast(msg, {
					duration: 'long'
				});
				callback(0);
				return;
			}
			
			if(data.result == null) {
				callback(1);
				return;
			}
			
			if(data.result.status == 3) {
				plus.storage.setItem('shopId', data.result.id);
				callback(2);
			} else {
				callback(1);
			}
		});
	}
}

/**
 * 初始化底部导航栏及页面
 * @param {Number} state: 登录及加盟状态
 */
function setNav(state) {
	var _id = 'joinApplication',
		_name = '我要加盟';

	if (state == 2) {
		_id = 'merchantHome';
		_name = '商户';
	}
	
	_pages.push({
		url: 'merchant/home/home.html',
		id: 'merchantHome',
		styles: {
			left: '100%',
			top: '45px',
			bottom: '51px',
			width: '100%'
		}
	});
		
	_pages.push({
		url: 'user/info/info.html',
		id: 'userInfo',
		styles: {
			left: '200%',
			top: '45px',
			bottom: '51px',
			width: '100%'
		}
	});

	_pages.push({
		url: 'shop/map/map.html',
		id: 'shopMap',
		styles: {
			left: '300%',
			top: '45px',
			bottom: '51px',
			width: '100%'
		}
	});

	h('#nav').html('<a class="mui-tab-item" id="shopMap">' +
		'<span class="mui-icon mui-icon-home"></span>' +
		'<span class="mui-tab-label">首页</span>' +
		'</a>' +
		'<a class="mui-tab-item" id="' + _id + '">' +
		'<span class="mui-icon mui-icon-star"></span>' +
		'<span class="mui-tab-label">' + _name + '</span>' +
		'</a>' +
		'<a class="mui-tab-item " id="userInfo">' +
		'<span class="mui-icon mui-icon-contact"></span>' +
		'<span class="mui-tab-label">我的</span>' +
		'</a>');

	h('#nav').find('a').eq(_active).addClass('mui-active');
}

/**
 * 底部导航点击切换页面事件
 * @param {Number} index: 要切换的页面( 1 开头)
 * @param {Number} state: 登录及加盟状态
 */
function changSub(index) {
	var sub1 = plus.webview.getWebviewById('shopList');
	var sub2 = plus.webview.getWebviewById('merchantHome');
	var sub3 = plus.webview.getWebviewById('userInfo');
	var sub4 = plus.webview.getWebviewById('shopMap');
	sub1.setStyle({
		left: (1 - index) * 100 + "%"
	});
	sub2.setStyle({
		left: (2 - index) * 100 + "%"
	});
	sub3.setStyle({
		left: (3 - index) * 100 + "%"
	});
	sub4.setStyle({
		left: (4 - index) * 100 + "%"
	});
}

/**
 * 将用户当前经纬度传入index全局变量
 * @param {Object} lng: 经度
 * @param {Object} lat: 纬度
 */
function getThisPoint(lng, lat) {
	thisLng = lng;
	thisLat = lat;
}

/**
 * 绑定‘我要加盟’按钮点击事件
 */
function bindJoinBtn() {
	h('#joinApplication').tap(function () {
		// 底部导航焦点保持在之前的位置
		plus.webview.getLaunchWebview().evalJS("h('#nav').find('a').removeClass('mui-active').eq(" + _active + ").addClass('mui-active');");

		var _user = plus.storage.getItem('user');

		// 判断是否已登录
		if (_user == null || _user == undefined || _user == '') return jumpPage('login/login.html', 'login', '登录');

		jAjax('/business/merchant/join_query', 'POST', true, null, function (type, data) {
			if (!type) {
				msg = '网络繁忙，请稍后重试';
				plus.nativeUI.toast(msg, {
					duration: 'long'
				});
				return;
			}

			if (data.status != '200') {
				msg = data.msg;
				plus.nativeUI.toast(msg, {
					duration: 'long'
				});
				return;
			}
			// var joinApplication1 = plus.storage.setItem('joinApplication1',data.result);
			

			if (data.result == null) {
				jumpPage('join/application/one/one.html', 'joinApplication1', '加盟申请');
				return;
			}
			switch (data.result.status) {
				case 11:
					jumpPage('join/application/two/two.html', 'joinApplication2', '加盟申请');
					break;
//				case 3:
//					jumpPage('merchant/home/home.html', 'merchantHome', '商户首页');
//					break;
//				case 2:
//					jumpPage('join/join_pay/join_pay.html', 'joinApplication2', '缴纳申请');

				default:
					jumpPage('join/join_pay/audit/audit.html', 'joinAudit', '商超加盟审核');
					break;
			}
		});
	});
}

/**
 * 跳转页面
 * @param {Object} url: 页面路径
 * @param {Object} id: 页面ID
 * @param {Object} name: 页面标题
 */
function jumpPage(url, id, name) {
	mui.openWindowWithTitle({
		url: url,
		id: id,
		waiting: {
			title: '正在加载...'
		}
	}, {
		title: {
			text: name
		},
		back: { //左上角返回箭头
			image: {
				base64Data: backBase64
			}
		}
	});
}

/**
 * 
 * @param {Object} callback
 */
function menu(callback) {
	decideState(function (state) {
		setNav(state);
		
		mui("header").off("tap", '#mapListBtn');
		mui("header").on("tap", '#mapListBtn', function() {
			plus.webview.close('mapDetailBtn');
			
			_active = 0;
			if(_activeShop == 0) {
				changSub(4);
				_activeShop = 1;
				h('#listBtn').removeClass('mui-icon-map');
				h('#listBtn').addClass('mui-icon-list');
				
				h('#refreshBtn').removeClass('hide');
				
				plus.webview.getWebviewById('shopMap').evalJS('createLocationBtn()');
			} else if(_activeShop == 1) {
				changSub(1);
				_activeShop = 0;
				h('#listBtn').removeClass('mui-icon-list');
				h('#listBtn').addClass('mui-icon-map');
				
				h('#refreshBtn').addClass('hide');
				
				plus.webview.close('mapLocationBtn', 'zoom-fade-in');
			}
		});
		
		mui("header").off("tap", '#refreshBtn');
		mui("header").on("tap", '#refreshBtn', function() {
			plus.webview.getWebviewById('shopMap').evalJS('refreshMap()');
		});

		h('#shopMap').tap(function () {
			plus.webview.close('mapDetailBtn');
			
			if(_activeShop == 0) {
				changSub(1);
				plus.webview.close('mapLocationBtn', 'zoom-fade-in');
			} else if(_activeShop == 1) {
				changSub(4);
				h('#refreshBtn').removeClass('hide');
				plus.webview.getWebviewById('shopMap').evalJS('createLocationBtn()');
			}
			
			_active = 0;
			h('#mapListBtn').removeClass('hide');
		});
		
		if (state != 2) {
			bindJoinBtn();
		} else {
			h('#merchantHome').tap(function () {
				plus.webview.close('mapDetailBtn');
				h('#mapListBtn').addClass('hide');
				h('#refreshBtn').addClass('hide');
				_active = 1;
				changSub(2);
				plus.webview.close('mapLocationBtn', 'zoom-fade-in');
			});
		}
		
		h('#userInfo').tap(function () {
			plus.webview.close('mapDetailBtn');
			h('#mapListBtn').addClass('hide');
			h('#refreshBtn').addClass('hide');
			_active = 2;
			changSub(3);
			plus.webview.close('mapLocationBtn', 'zoom-fade-in');
		});

		if(callback) callback();
	});
}

/**
 * 事件初始化
 */
mui.plusReady(function () {
	menu(function() {
		// 插件初始化
		mui.init({
			subpages: _pages
		});
		
		// 关闭启动页面
		plus.navigator.closeSplashscreen();
	});

	plus.runtime.getProperty(plus.runtime.appid, function (inf) {
		wgtVer = inf.version;
		checkUpdate(wgtVer);
	});
});