var _region = null, _lng = null, _lat = null;

/*
 * 插件初始化
 */
mui.init();

/*
 * 事件初始化
 */
mui.plusReady(function () {
	bindEvent();
});

function setAddress (region, address, lng, lat) {
	h('#regionDetail').val(address);
	_region = region;
	_lng = lng;
	_lat = lat;
}

function bindEvent() {
	h('#showMap').tap(function() {
		plus.webview.create('map/map.html', 'joinMapDetail',{
			bottom: '0',
			left: '0px',
			width: '100%',
			height: '100%',
			position: 'absolute',
			scrollIndicator: 'none',
			background: 'transparent'
		});
		plus.webview.show('joinMapDetail', 'none');
	});
	
	h('#nextBtn').tap(function() {
		var params = getParams();
		
		var url = '/business/merchant/commitFir';
		jAjax(url, 'POST', true, params, function (type, data) {
			if (!type) {
				msg = '服务器发生未知错误';
				plus.nativeUI.toast(msg, {
					duration: 'long'
				});
				return console.log(data);
			}
			var msg = '加盟第一步成功';
			if (data.status != '200') {
				msg = data.msg;
				plus.nativeUI.toast(msg, {
					duration: 'long'
				});
			} else {
				plus.nativeUI.toast(msg, {
					duration: 'long'
				});
				setTimeout(function () {
					//openInfo(data);
					mui.openWindowWithTitle({
						id: 'joinApplication2',
						url: '../two/two.html',
						waiting: {
							title: '正在加载...'
						}
					}, {
						title: { //标题配置
							text: "加盟申请", //标题文字
						},
						back: { //左上角返回箭头
							image: {
								base64Data: backBase64
							}
						}
					});
				}, 500)
			}
		});
	});
	
	window.addEventListener('closePage', function(e) {
		var main = plus.webview.currentWebview().opener();//获取父页面
		mui.fire(main, "closePage" );//出发A页面的pageflowrefresh方法
		mui.back();
	});
}

function getParams() {
	var form = document.getElementById('form');
	var inputArr = form.getElementsByTagName('input');
	var selectArr = form.getElementsByTagName('select');
	var regionDetail = document.getElementById('regionDetail');

	var apply = {};
	for (var i = 0; i < inputArr.length; i++) {
		var obj = inputArr[i];
		if (obj.type == 'text' && obj.value == '') {
			mui.toast('请完整录入全部信息');
			throw new Error("完整录入");
		}
		apply[obj.name] = obj.value;
	}

	for (var i = 0; i < selectArr.length; i++) {
		var obj = selectArr[i];
		if (obj.value == '-1' && (obj.name == 'joinType' || obj.name == 'managementType')) {
			mui.toast('请完整录入全部信息');
			throw new Error("完整录入");
		}
		apply[obj.name] = obj.value;
	}
	
	if(regionDetail.value=='') {
		mui.toast('请完整录入全部信息');
		throw new Error("完整录入");
	}
	apply.regionDetail = regionDetail.value;
	
	if(_lng == null || _lat == null) {
		 plus.nativeUI.toast('请选择超市地址', {duration: 'long'});
		 throw new Error("请选择超市地址");
	}
	
	apply.region = _region;
	apply.x = _lng;
	apply.y = _lat;
	
	return apply;
}