/*
 * 插件初始化
 */
mui.init();

/*
 * 事件初始化
 */
var imgUploadQuee = [];
var BASE_IMG_PATH = API_URL_IMG + '/img';
mui.plusReady(function () {
	mui(".body").on("tap", "#saveButton1", function () {
		if (!before()) return;

		var params = getParams();
		var url = '/business/merchant/commit';
		if (imgUploadQuee.length) {
			mui.toast('图片未上传完成', {
				duration: 'long',
				type: 'div'
			});
			return;
		}
		jAjax(url, 'POST', true, params, function (type, data) {
			if (!type) {
				msg = '网络繁忙，请稍后重试';
				mui.toast(msg, {
					duration: 'long',
					type: 'div'
				});
				return;
			}
			var msg = '加盟申请成功';
			if (data.status != '200') {
				msg = data.msg;
				mui.toast(msg, {
					duration: 'long',
					type: 'div'
				})
			} else {
				mui.alert('商超加盟申请提交成功！', ' ', '确定', function () {
					var main = plus.webview.currentWebview().opener();//获取父页面
					mui.fire(main, "closePage" );//出发A页面的pageflowrefresh方法
					mui.back();
				});
			}
		});
	});

});

/**
 *打开审核页 
 */
function openInfo(data) {
	mui.openWindowWithTitle({
		id: 'two.html',
		url: '../../join_pay/audit/audit.html',
		waiting: {
			title: '正在加载...'
		}
	}, {
		title: { //标题配置
			text: "商超加盟审核", //标题文字
		},
		back: { //左上角返回箭头
			image: {
				base64Data: backBase64
			}
		}
	})
}

function getParams() {
	var form = document.getElementById('form');
	var inputArr = form.getElementsByTagName('input');
	var selectArr = form.getElementsByTagName('select');
	var textarea = form.getElementsByTagName('textarea')[0];

	var apply = {};
	for (var i = 0; i < inputArr.length; i++) {
		var obj = inputArr[i];
		apply[obj.id] = obj.value;
	}

	for (var i = 0; i < selectArr.length; i++) {
		var obj = selectArr[i];
		apply[obj.name] = obj.value;
	}

	var img1 = document.getElementById('upload-content-img-main-1').getElementsByTagName('img');
	var licenseImageUrls = '';
	for (var i = 0; i < img1.length; i++) {
		var imgsrc = img1[i].src;
		imgsrc = imgsrc.replace(BASE_IMG_PATH, '');
		licenseImageUrls += imgsrc + ',';
	}
	if (licenseImageUrls.length > 0) {
		licenseImageUrls = licenseImageUrls.substring(0, licenseImageUrls.length - 1);
	}
	if (licenseImageUrls == '') {
		mui.toast('营业执照未上传');
		throw new Error("图片上传出错 ---> 1");
	}
	apply.licenseImageUrls = licenseImageUrls;

	var img2 = document.getElementById('upload-content-img-main-2').getElementsByTagName('img');
	var iteriorImageUrls = '';
	for (var i = 0; i < img2.length; i++) {
		var imgsrc = img2[i].src;
		imgsrc = imgsrc.replace(BASE_IMG_PATH, '');
		iteriorImageUrls += imgsrc + ',';
	}
	if (iteriorImageUrls.length > 0) {
		iteriorImageUrls = iteriorImageUrls.substring(0, iteriorImageUrls.length - 1);
	}
	if (iteriorImageUrls == '') {
		mui.toast('商超门头照片未上传');
		throw new Error("图片上传出错 ---> 2");
	}
	apply.iteriorImageUrls = iteriorImageUrls;

	var img3 = document.getElementById('upload-content-img-main-3').getElementsByTagName('img');
	var imageUrls = '';
	for (var i = 0; i < img3.length; i++) {
		var imgsrc = img3[i].src;
		imgsrc = imgsrc.replace(BASE_IMG_PATH, '');
		imageUrls += imgsrc + ',';
	}
	if (imageUrls.length > 0) {
		imageUrls = imageUrls.substring(0, imageUrls.length - 1);
	}
	if (imageUrls == '') {
		mui.toast('商超内景照片未上传');
		throw new Error("图片上传出错 ---> 3");
	}
	apply.imageUrls = imageUrls;
	return apply;
}

var _uploadBtnIdx;
document.getElementById('upload-btn-1').addEventListener('tap', function () {
	_uploadBtnIdx = 1;
	addImg();
});
document.getElementById('upload-btn-2').addEventListener('tap', function () {
	_uploadBtnIdx = 2;
	addImg();
});
document.getElementById('upload-btn-3').addEventListener('tap', function () {
	_uploadBtnIdx = 3;
	addImg();
});

/*上传或者拍照*/
function addImg() {
	var doc = document.getElementsByClassName('upload-content-' + _uploadBtnIdx)[0];
	var imglist = doc.getElementsByClassName("upload-img");
	if (imglist.length > 2) {
		mui.toast('只能上传3张照片');
		return;
	};

	if (mui.os.plus) {
		var a = [{
			title: "拍照"
		}, {
			title: "从手机相册选择"
		}];
		plus.nativeUI.actionSheet({
			title: "照片上传",
			cancel: "取消",
			buttons: a
		}, function (b) { /*actionSheet 按钮点击事件*/
			switch (b.index) {
				case 0:
					break;
				case 1:
					getImage(); /*拍照*/
					break;
				case 2:
					galleryImg(); /*打开相册*/
					break;
				default:
					break;
			}
		})
	}
}

//拍照 
function getImage() {
	var c = plus.camera.getCamera();
	c.captureImage(function (e) {
		plus.io.resolveLocalFileSystemURL(e, function (entry) {
			var s = entry.toLocalURL() + "?version=" + new Date().getTime();
			uploadHead(s); /*上传图片*/
		}, function (e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function (s) {
		console.log("error" + s);
	}, {
		filename: "_doc/head.png"
	})
}

//本地相册选择 
function galleryImg() {
	plus.gallery.pick(function (a) {
		uploadHead(a);
	}, function (a) {}, {
		filter: "image"
	})
};

var _newImgLength;

function uploadHead(imgPath) {
	//追加上传图片
	var imgLength = getImgTotalLength();
	var newImgLength = imgLength + 1;
	_newImgLength = newImgLength;

	var image = new Image();
	var imgType = getImageType(imgPath);
	image.src = imgPath;
	image.onload = function () {
		/*在这里调用上传接口*/
		var imgData = getBase64Image(image, imgType);

		var _token = Date.parse(new Date()),
			_url = '',
			_params = {};
		if (plus.storage.getItem('token') && plus.storage.getItem('token') != null) _token = plus.storage.getItem('token');
		imgUploadQuee.push(1)
		var url = API_URL + '/information/attachment/upload64/' + _token;
		mui.ajax(url, {
			data: {
				'imgBase64Data': imgData,
				'imgType': imgType
			},
			dataType: 'json',
			type: 'post',
			crossDomain: true,
			timeout: 10000,
			headers: {
				'Content-Type': 'application/json'
			},
			success: function (data) {
				imgUploadQuee.shift();
				appendImg(newImgLength, API_URL_IMG + '/img' + data.result.pathVname);
			},
			error: function (xhr, type, errorThrown) {
				imgUploadQuee.shift();
				var lastImg = document.getElementById('upload-img-idx-' + _uploadBtnIdx + '-' + (newImgLength));
				lastImg.parentNode.removeChild(lastImg);
				mui.toast('网络繁忙，请稍后重试');
			}
		});
	};
}

function callbackImg(result, data) {
	if (!result) {
		mui.toast('网络繁忙，请稍后重试');
	} else {
		appendImg(newImgLength, API_URL_IMG + '/img/' + data.result.pathVname);
	}
}

//将图片压缩转成base64 
function getBase64Image(img, type) {
	var canvas = document.createElement("canvas");
	var width = img.width;
	var height = img.height;

	var compressWidth = 100 * 4;

	//暂时注释不压缩上传
	if (width > height) {
		if (width > compressWidth) {
			height = Math.round(height *= compressWidth / width);
			width = compressWidth;
		}
	} else {
		if (height > compressWidth) {
			width = Math.round(width *= compressWidth / height);
			height = compressWidth;
		}
	}
	canvas.width = width; /*设置新的图片的宽度*/
	canvas.height = height; /*设置新的图片的长度*/
	var ctx = canvas.getContext("2d");
	ctx.drawImage(img, 0, 0, width, height); /*绘图*/
	var dataURL = canvas.toDataURL("image/jpeg", 0.8);
	return dataURL;
}

function getImageType(imgPath) {
	var type = 'png';
	if (imgPath.indexOf('.jpg') != -1 || imgPath.indexOf('.JPG') != -1) {

		type = 'jpg';
	} else if (imgPath.indexOf('.jpeg') != -1 || imgPath.indexOf('.JPEG') != -1) {

		type = 'jpeg';
	}
	return type;
}

/**
 *得到现有待上传的img数量 
 */
function getImgList() {
	return document.getElementsByClassName("upload-img");
}

function getImgTotalLength() {
	var imgList = getImgList();
	var imgLength = 0;
	if (imgList && imgList.length > 0) {
		imgLength = imgList.length;
	}
	return imgLength;
}

function appendImg(newImgLength, imgPath) {
	var img = document.createElement('img');
	img.id = 'upload-img-idx-' + _uploadBtnIdx + '-' + (newImgLength);
	img.className = 'upload-img upload-img-idx' + (newImgLength);
	img.src = imgPath;

	document.getElementById('upload-content-img-main-' + _uploadBtnIdx).appendChild(img);
}



function before() {
	if (!checkNum()) return false;
	return true;
}

var ValidTipsMsg = {
	'monthlyTurnover': '月营业额(万元)，请输入数字',
	'yearlyTurnover': '年营业额(万元)，请输入数字',
	'area': '超市面积(平方米)，请输入数字',
	'businessYears': '经营时长(小时)，请输入数字'
};

function checkNum() {
	var numCls = document.getElementsByClassName('num');

	if (numCls.length == 0) return true;
	for (var i = 0; i < numCls.length; i++) {
		var obj = numCls[i];
		var xnum = obj.value;
		if (xnum == '' || isNaN(xnum)) {
			if (ValidTipsMsg[obj.id] != null) {
				mui.toast(ValidTipsMsg[obj.id]);
			} else {
				mui.toast('请输入数字');
			}
			return false;
		}
	}
	return true;
}