/*
 * 插件初始化
 */
mui.init();

/*
 * 事件初始化
 */
var myVue = new Vue({
	el: '#myvue',
	data: {
		status: '1',
		message: {
			1: '你已经提交加盟申请,正在审核，请耐心等待',
			11: '您还未提交商超加盟申请，请提交申请',
			2: '您的商超加盟申请已经通过审核，请缴纳加盟费',
			20: '您的商超加盟申请审核未通过，请重新提交申请...',
			21: '您已经缴纳商超加盟费用，正在审核，请耐心等待',
			3: '恭喜，您已成功加盟！',
			30: '您缴费审核未通过，请重新申请'
		},
		btnText: {
			1: '',
			3: '进入我的商户',
			21: '',
			11: '提交加盟申请',
			2: '缴纳加盟费',
			20: '重新申请',
			30: '重新申请'
		}
	},
	computed: {
		preStatus: function () {
			var str = this.status + "";
			return str.slice(0, 1)
		},
		// .ok .no .editing
		status1: function () {
			if (this.status == 1 || this.status == 20) return 'editing';
			if (this.preStatus > 1) return 'ok';
			if (this.status == 11) return 'no';
		},
		status2: function () {
			if (this.status == 2) return 'editing';
			if (this.status == 21 || this.preStatus == 3) return 'ok'
			return 'no'
		},
		status3: function () {
			if (this.status == 21) return 'editing';
			if (this.status == 30) return 'no'
			if (this.status == 3) return 'ok';
			return 'no'
		},
		status4: function () {
			if (this.status == 3) return 'ok'
			return 'no'
		},
		// .done .doing .empty
		circle1: function () {
			if (this.status == 11) return 'empty';
			if (this.status == 1) return 'doing';
			if (this.preStatus > 1) return 'done';
		},
		circle2: function () {
			if (this.preStatus == 1 || this.status == 20) return 'empty';
			if (this.status == 2) return 'doing';
			if (this.status == 21 || this.preStatus == 3) return 'done';
		},
		circle3: function () {
			if (this.status == 21) return 'doing';
			if (this.preStatus == 3) return 'done';
			if (this.preStatus == 1 || this.status == 2) return 'empty'
			return 'empty'
		},
		circle4: function () {
			if (this.status == 3) return 'done'
			if (this.status == 30) return 'empty'
			if (this.preStatus !== 3) return 'empty'
		},
	}
});
mui.plusReady(function () {
	var params = null;
	var w = plus.nativeUI.showWaiting("加载中...");
	var url = '/business/merchant/join_query';
	jAjax(url, 'POST', true, params, function (type, data) {
		plus.nativeUI.closeWaiting();
		if (!type) {
			msg = '网络繁忙，请稍后重试';
			mui.toast(msg, {
				duration: 'long',
				type: 'div'
			});
			return
		}
		//var msg = '加盟申请成功';
		if (data.status != '200') {
			msg = data.msg;
			mui.toast(msg, {
				duration: 'long',
				type: 'div'
			});
		} else {
			if (data.result == null) {
				reApply();
				return;
			}
			myVue.status = data.result.status;
			if (data.result.status == 3) {
				plus.webview.getWebviewById(plus.webview.all()[0].id).evalJS('menu()');
			}
			mui(".mui-content").on("tap", "#auditBtn", function (e) {
				console.log(myVue.status)
				var status = myVue.status
				if (status == 11) {
					reApply2();
					return
				}
				if (status == 20) {
					console.log(reApply)
					reApply();
					return
				}
				if (status == 2 || status == 30) {
					addFee();
					return
				}
				if (status == 3) {
					toShop();
					return
				}
			});
		}
	});
	//重新申请加盟
	function reApply() {
		mui.openWindowWithTitle({
			id: 'one.html',
			url: '../../application/one/one.html',
			waiting: {
				title: '正在加载...'
			}
		}, {
			title: { //标题配置
				text: "商超加盟申请", //标题文字
			},
			back: { //左上角返回箭头
				image: {
					base64Data: backBase64
				}
			}
		});
	}


	//加盟第二步
	function reApply2() {
		//console.log('重新申请加盟');
		mui.openWindowWithTitle({
			id: 'two.html',
			url: '../../application/two/two.html',
			waiting: {
				title: '正在加载...'
			}
		}, {
			title: { //标题配置
				text: "商超加盟申请", //标题文字
			},
			back: { //左上角返回箭头
				image: {
					base64Data: backBase64
				}
			}
		});
	}

	//缴纳加盟费
	function addFee() {
		//console.log('重新申请加盟');
		mui.openWindowWithTitle({
			id: 'join_pay.html',
			url: '../../join_pay/join_pay.html',
			waiting: {
				title: '正在加载...'
			}
		}, {
			title: { //标题配置
				text: "缴纳加盟费", //标题文字
			},
			back: { //左上角返回箭头
				image: {
					base64Data: backBase64
				}
			}
		});
	}
	//进入商户
	function toShop() {
		//console.log('重新申请加盟');
		mui.openWindowWithTitle({
			id: 'join_pay.html',
			url: '../../../merchant/home/home.html',
			waiting: {
				title: '正在加载...'
			}
		}, {
			title: { //标题配置
				text: "好享买", //标题文字
			},
			back: { //左上角返回箭头
				image: {
					base64Data: backBase64
				}
			}
		});
	}
	
	
	window.addEventListener('closePage', function(e) {
		location.reload();
	});
})