/*
 * 插件初始化
 */
mui.init();

var flag = false;
mui.plusReady(function () {
	//监听点击事件
	mui('.dialog').on('keyup', '#verifyCode', function () {
		var verifyCode = document.getElementById('verifyCode').value;
		if (verifyCode.length == 4) {
			sendSms();
		}
	});

	//刷新验证码verifyCodeImg
	mui('.dialog').on('tap', '#verifyChange', function () {
		jGetVerifyCode('verifyCodeKey', 'verifyCodeImg');
	});
	mui('.dialog').on('tap', '#verifyCodeImg', function () {
		jGetVerifyCode('verifyCodeKey', 'verifyCodeImg');
	});

	// 点击获取验证码按钮
	mui('.mui-content').on('tap', '#getVerifyCode', function () {
		var memberNo = document.getElementById('tel').value;
		var reg = /^1\d{10}$/;
		if (!reg.test(memberNo)) {
			mui.toast('手机号码不正确');
			return
		}
		if (document.getElementById('getVerifyCode').getAttribute('disabled')) return
		document.getElementById('verifyCode').value = '';
		document.querySelector('.dialog-wrap').classList.toggle('hide');
		jGetVerifyCode('verifyCodeKey', 'verifyCodeImg');
	});

	// 关闭验证弹窗
	mui('.mui-content').on('tap', '#cancel-text', function () {
		document.querySelector('.dialog-wrap').classList.toggle('hide')
	});

	// 提交按钮
	mui('.mui-content').on("tap", '#confirmBtn', function () {
		var _memberNo = h('#memberNo').val();
		var _memberName = h('#memberName').val();
		var _amount = h('#amount').val();
		var _verifyId = h('#verifyId').val();
		var _code = h('#code').val();
		var _tel = h('#tel').val();

		if (!_memberNo) return plus.nativeUI.toast('请输入会员帐号', {
			duration: 'long'
		});
		if (!_amount) return plus.nativeUI.toast('请输入金额！', {
			duration: 'long'
		});
		if (!_code) return plus.nativeUI.toast('验证码不能为空', {
			duration: 'long'
		});
		if (_memberNo.length > 16) return plus.nativeUI.toast('会员帐号太长', {
			duration: 'long'
		});
		if (_amount < 1000) return plus.nativeUI.toast('金额须大于1000元', {
			duration: 'long'
		});
		if (!(/^1\d{10}$/.test(_tel))) return plus.nativeUI.toast('手机号码不能为空', {
			duration: 'long'
		});

		var obj = {};
		obj.memberNo = _memberNo;
		obj.memberName = _memberName;
		obj.amount = _amount;
		obj.verifyId = _verifyId;
		obj.code = _code;
		obj.tel = _tel;
		console.log("-------------param----" + JSON.stringify(obj));
		jAjax('/business/joinpayment/joinpayed', 'POST', true, obj, function (type, data) {
			if (!type) return console.log(data);
			if (data.status == 200 && data.result.status == 1) {
				mui.alert('您已成功提交了缴费凭证，请等待审核！', ' ', '确定', function () {
					// plus.runtime.restart();
					var main = plus.webview.currentWebview().opener(); //获取父页面
					mui.fire(main, "closePage"); //出发A页面的pageflowrefresh方法
					mui.back();
					//					mui.openWindowWithTitle({
					//						id: 'two.html',
					//						url: '../../join_pay/audit/audit.html',
					//						waiting: {
					//							title: '正在加载...'
					//						}
					//					}, {
					//						title: { //标题配置
					//							text: "商超加盟审核", //标题文字
					//						},
					//						back: { //左上角返回箭头
					//							image: {
					//								base64Data: backBase64
					//							}
					//						}
					//					})
				});
			} else {
				mui.toast(data.msg);
			}

			console.log(JSON.stringify(data));
		});
	});

});




function sendSms() {
	var mobilePhone = document.getElementById('tel').value;
	var verifyCode = document.getElementById('verifyCode').value;
	var verifyCodeKey = document.getElementById('verifyCodeKey').value;

	var params = {};
	params.mobilePhone = mobilePhone;
	params.verifyCode = verifyCode;
	params.verifyCodeKey = verifyCodeKey;
	console.log('params=====>>>>' + JSON.stringify(params));

	var url = '/user/user/forget-password/send-verify-code';
	jAjax(url, 'POST', true, params, function (type, data) {
		console.log('send result=====>>>' + data);
		if (!type) {
			msg = '服务器发生未知错误';
			mui.toast(msg, {
				duration: 'long',
				type: 'div'
			});
			return console.log(data);
		}
		var msg = '发送验证码成功，请等待短信通知';
		if (data.status != '200') {
			msg = data.msg;
			mui.toast(msg, {
				duration: 'long',
				type: 'div'
			})
		} else {
			mui.toast(msg, {
				duration: 'long',
				type: 'div'
			})
			settime() // 60秒计时	
			document.getElementById('verifyId').value = data.result.verifyId;
			document.querySelector('.dialog-wrap').classList.toggle('hide')
		}

	});
}

//定义一个60秒计时器变量
var countdown = 60;
//构造一个倒计时函数叫settime
function settime() {
	var obj = document.getElementById('getVerifyCode');
	//开始判断倒计时是否为0
	if (countdown == 0) {
		obj.removeAttribute("disabled");
		obj.value = "获取验证码";
		countdown = 60;
		//立即跳出settime函数，不再执行函数后边的步骤
		return;
	} else {
		obj.setAttribute("disabled", true);
		obj.value = "重新获取(" + countdown + ")";
		countdown--;
	}
	//过1秒后执行倒计时函数
	setTimeout(function () {
		settime()
	}, 1000)
}