/*
 * 插件初始化
 */
mui.init();
var imgUploadQuee = [];
var flag = true;
/*
 * 事件初始化
 */
var busImageUrls;
mui.plusReady(function () {
	var shopInfo;
	var shopId = plus.storage.getItem('shopId');
	jAjax('/shop/shop/detail', 'POST', true, {
		id: shopId
	}, function (type, data) {
		if (!type) {
			mui.toast('服务器发生未知错误', {
				duration: 'long',
				type: 'div'
			});
		} else {
			shopInfo = data.result;
			busImageUrls = shopInfo.busImageUrls ? shopInfo.busImageUrls : '';
			var Img = busImageUrls ? busImageUrls.split(',') : [];
			for (var i = 0; i < Img.length; i++) {
				appendImg(i + 1, Img[i]);
			};
			renderImg(Img);
		}
	})

	mui(".mui-content").on("tap", "#upload-btn", function () {
		var imgLength = getImgTotalLength();
		if (imgLength >= 3) {
			mui.toast('只能上传3张照片')
			return
		}
		if (mui.os.plus) {
			var a = [{
				title: "拍照"
			}, {
				title: "从手机相册选择"
			}];
			plus.nativeUI.actionSheet({
				title: "照片上传",
				cancel: "取消",
				buttons: a
			}, function (b) { /*actionSheet 按钮点击事件*/
				switch (b.index) {
					case 0:
						break;
					case 1:
						getImage(); /*拍照*/
						break;
					case 2:
						galleryImg(); /*打开相册*/
						break;
					default:
						break;
				}
			})
		}
	}, false);
	mui(".mui-content").on("tap", "#saveButton", function (e) {
		var imgEl = document.getElementsByClassName('upload-img');
		if (!imgEl) {
			mui.toast('图片不能为空', {
				duration: 'long',
				type: 'div'
			});
		}
		if (imgUploadQuee.length) {
			mui.toast('图片正在上传', {
				duration: 'long',
				type: 'div'
			});
		}
		flag = false;
		if (flag) return
		var url = '/shop/shop/update';
		jAjax(url, 'POST', true, {
			id: shopInfo.id,
			busImageUrls: busImageUrls
		}, function (type, data) {
			flag = true
			if (!type) {
				mui.toast('服务器发生未知错误', {
					duration: 'long',
					type: 'div'
				});
			} else {
				mui.toast('提交成功', {
					duration: 'long',
					type: 'div'
				});
				mui.back();
			}
		});
	})
	mui('.upload-content').on('tap', '#upload-delete', function (e) {
		if (e.target.classList.contains('upload-delete-text')) {
			deleteImg(e.target)
		}
	})
});





//拍照 
function getImage() {
	var c = plus.camera.getCamera();
	c.captureImage(function (e) {
		plus.io.resolveLocalFileSystemURL(e, function (entry) {
			var s = entry.toLocalURL() + "?version=" + new Date().getTime();
			uploadHead(s); /*上传图片*/
		}, function (e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function (s) {
		console.log("error" + s);
	}, {
		filename: "_doc/head.png"
	})
}

//本地相册选择 
function galleryImg() {
	plus.gallery.pick(function (a) {
		uploadHead(a);
	}, function (e) {
		console.log("读取拍照文件错误：" + e.message);
	});
}

function uploadHead(imgPath) {
	//替换上传图片
	var imgLength = getImgTotalLength();
	var newImgLength = imgLength + 1;
	// appendImg(newImgLength, imgPath);

	var image = new Image();
	var imgType = getImageType(imgPath);
	image.src = imgPath;
	image.onload = function () {
		var imgData = getBase64Image(image, imgType);
		/*在这里调用上传接口*/
		var url = API_URL + '/information/attachment/upload64/1494506962000';
		mui.ajax(url, {
			data: {
				'imgBase64Data': imgData,
				'imgType': imgType
			},
			dataType: 'json',
			type: 'post',
			crossDomain: true,
			timeout: 10000,
			headers: {
				'Content-Type': 'application/json'
			},
			success: function (data) {
				// var lastImg = document.getElementsByClassName("upload-img-idx" + newImgLength)[0];
				// lastImg.parentNode.removeChild(lastImg);
				if (data.status != '200') {
					msg = data.msg;
					mui.toast(msg, {
						duration: 'long',
						type: 'div'
					})
				} else {
					console.log('上传成功====>>' + JSON.stringify(data));
					appendImg(newImgLength, data.result.pathVname);
					if (!busImageUrls) {
						busImageUrls = data.result.pathVname;
					} else {
						busImageUrls = busImageUrls　 + ',' + data.result.pathVname;
					}
					var imgArr = busImageUrls.split(',');
					renderImg(imgArr);
				}
			},
			error: function (xhr, type, errorThrown) {
				mui.toast('网络异常，请稍后再试！');
			}
		});
	}
}
//将图片压缩转成base64 
function getBase64Image(img, type) {
	var canvas = document.createElement("canvas");
	var width = img.width;
	var height = img.height;
	var compressWidth = 100 * 2;

	//	//暂时注释不压缩上传
	//	if(width > height) {
	//		if(width > compressWidth) {
	//			height = Math.round(height *= compressWidth / width);
	//			console.log('height==>'+height);
	//			width = compressWidth;
	//		}
	//	} else {
	//		if(height > compressWidth) {
	//			width = Math.round(width *= compressWidth / height);
	//			console.log('height2==>'+height);
	//			height = compressWidth;
	//		}
	//	}
	canvas.width = width; /*设置新的图片的宽度*/
	canvas.height = height; /*设置新的图片的长度*/
	var ctx = canvas.getContext("2d");
	ctx.drawImage(img, 0, 0, width, height); /*绘图*/

	//var dataURL = canvas.toDataURL("image/" + (type == 'jpg' ? 'jpeg' : (type == 'jpeg' ? 'jpeg' : 'png')), 0.8);
	var dataURL = canvas.toDataURL("image/jpeg", 0.8);
	return dataURL;
}

function getImageType(imgPath) {
	var type = 'png';
	if (imgPath.indexOf('.jpg') != -1 || imgPath.indexOf('.JPG') != -1) {
		type = 'jpg';
	} else if (imgPath.indexOf('.jpeg') != -1 || imgPath.indexOf('.JPEG') != -1) {

		type = 'jpeg';
	}
	return type;
}

/**
 *得到现有待上传的img数量 
 */
function getImgList() {
	return document.getElementsByClassName("upload-img");
}

function getImgTotalLength() {
	var imgList = getImgList();
	var imgLength = 0;
	if (null != imgList && imgList.length > 0) {
		imgLength = imgList.length;
	}
	return imgLength;
}

function appendImg(newImgLength, imgPath) {
	var img = document.createElement("img");
	img.className = 'upload-img upload-img-idx' + (newImgLength);
	img.src = API_URL_IMG + '/img' + imgPath;
	document.getElementById('upload-content-img-main').appendChild(img);


	var cancel = document.createElement('div');
	cancel.className = 'upload-delete-text';
	cancel.innerHTML = '删除';
	document.getElementById('upload-delete').appendChild(cancel);
}

// 返回值
function backParam(label, value) {
	plus.webview.currentWebview().opener().evalJS('setParam("' + label + '", "' + value + '")');
	mui.back();
}

function renderImg(imgArr) {
	var sliderString = '';
	var indicator = '';
	if (imgArr.length) {
		for (var i = 0; i < imgArr.length; i++) {
			// todo 图片地址nginx 打开注释
			sliderString += ['<div class="mui-slider-item">',
				'<img src="', API_URL_IMG, "/img/", imgArr[i], '" > ', '</div>'
			].join("");
			indicator += ['<div class="mui-indicator"></div>'].join("");
		}
	} else {
		sliderString = ['<div class="mui-slider-group">',
			'	<div class="mui-slider-item">',
			'		<img src="../../../images/detail.png">',
			'	</div>',
			'</div>',
		].join("");
		indicator = '<div class="mui-indicator"></div>';
	}
	document.querySelectorAll('.mui-slider-indicator')[0].innerHTML = indicator;
	document.querySelectorAll('.mui-slider-group')[0].innerHTML = sliderString;
	mui.init();
}

function deleteImg(childNode) {
	var parent = document.getElementById('upload-delete');
	var children = parent.children;
	var index;
	// var busImageUrls = '';
	Array.prototype.forEach.call(children, function (el, i) {
		if (el == childNode) return index = i
	});

	var imgContent = document.getElementById('upload-content-img-main');
	var img = imgContent.getElementsByTagName('img')[index];
	imgContent.removeChild(img);
	parent.removeChild(childNode);
	busImage = busImageUrls.split(',');
	busImage.splice(index, 1)
	busImageUrls = busImage.join(',')
	renderImg(busImage)
}