/*
 * 插件初始化
 */
mui.init();

/*
 * 事件初始化
 */
mui.plusReady(function() {
	h('#saveButton').tap(function() {
		if(h('#loginNo').val() == '') return plus.nativeUI.toast('请输入手机号', {duration: 'long'});
		if(h('#password').val() == '') return plus.nativeUI.toast('请输入密码', {duration: 'long'});
		if(h('#password2').val() == '') return plus.nativeUI.toast('请输入确认密码', {duration: 'long'});
		if(h('#password').val() != h('#password2').val()) return plus.nativeUI.toast('两次密码输入不一致', {duration: 'long'});
		if(plus.storage.getItem('verifyId') == undefined || plus.storage.getItem('verifyId') == '') return plus.nativeUI.toast('请获取验证码', {duration: 'long'});
		if(h('#code').val() == '') return plus.nativeUI.toast('请输入验证码', {duration: 'long'});
		
		var myreg = /^(1\d{10})$/;
		var loginNo = h('#loginNo').val();
		if(!myreg.test(loginNo)) {
			mui.toast('请填写正确的手机号码');
			return false;
		}
		
		var password = h('#password').val();
		if(password.length < 6 || password.length > 30) {
			mui.toast('设置6-30位密码');
			return false;
		}
	
		
	
		
		var params = {
			loginNo: h('#loginNo').val(),
			password: md5(h('#password').val()),
			verifyId: plus.storage.getItem('verifyId'),
			code: h('#code').val()
		};
		
		var url = '/business/member/join';
		jAjax(url, 'POST', true, params, function(type, data) {
			if (!type) return plus.nativeUI.toast('网络繁忙，请稍后重试', {duration: 'long'});
			if (data.status != '200') return plus.nativeUI.toast(data.msg, {duration: 'long'});
			
			plus.nativeUI.toast('注册成功', {duration: 'long'});
			login(params.loginNo, params.password);
		});
	});
	
	h('#getVerifyCode').tap(function() {
		var loginNo = document.getElementById('loginNo').value;
		if(loginNo == '') {
			mui.toast('手机号码必填');
			return;
		}
		
		var myreg = /^(1\d{10})$/;
		if(!myreg.test(loginNo)) {
			mui.toast('请填写正确的手机号码');
			return;
		}

		plus.storage.setItem('loginNo', loginNo);

		var url = '/user/user/validloginno';
		var params = {'loginNo': loginNo};
		jAjax(url, 'POST', true, params, function(type, data) {
			
			if (!type) return plus.nativeUI.toast('网络繁忙，请稍后重试', {duration: 'long'});
			if (data.status != '200') return plus.nativeUI.toast(data.msg, {duration: 'long'});
			
			mui.openWindowWithTitle({
				id: 'register.html',
				url: '../forget/forget-send.html',
				waiting: {
					title: '正在加载...'
				}
			}, {
				title: { //标题配置
					text: "获取手机验证码", //标题文字
				},
				back: { //左上角返回箭头
					image: {
						base64Data: backBase64
					}
				}
			});
			
		});
	
		
	});
	
	window.addEventListener('validCodeBtn', function(e) {
		settime();
	});
});

function openInfo(data) {
	//保存user
	var result = data.result;
	plus.storage.setItem('token', result.token);

	var user = {};
	user.nickName = result.nickName || '';
	user.baseBusinessId = result.baseBusinessId || '';
	user.name = result.name || '';
	user.logo = result.logo || '';
	user.deviceNo = result.deviceNo || '';
	user.id = result.id || '';
	user.loginNo = result.loginNo || '';
	user.shopId = result.shopId || '';
	plus.storage.setItem('user', JSON.stringify(user));
	
	plus.webview.getWebviewById("userInfo").evalJS('resetDom()');
	plus.webview.close('login');
	mui.back();
}

function login(user, password) {
	var params = {
		loginNo: user,
		password: password,
		source: 'app',
		deviceNo: 'xx'
	};
	var url = '/register/register/token';
	jAjax(url, 'POST', true, params, function(type, data) {
		if (!type) return plus.nativeUI.toast('网络繁忙，请稍后重试', {duration: 'long'});
		if (data.status != '200') return plus.nativeUI.toast(data.msg, {duration: 'long'});
		
		plus.nativeUI.toast('登录成功', {duration: 'long'});
		openInfo(data);
	});
	
}

//定义一个60秒计时器变量
var countdown=60; 
//构造一个倒计时函数叫settime
function settime() { 
	var obj =  document.getElementById('getVerifyCode');
    //开始判断倒计时是否为0
    if (countdown == 0) { 
        obj.removeAttribute("disabled");    
        obj.value="获取验证码"; 
        countdown = 60; 
        //立即跳出settime函数，不再执行函数后边的步骤
        return;
    } else { 
        obj.setAttribute("disabled", true); 
        obj.value="重新获取(" + countdown + ")"; 
        countdown--; 
    } 
  //过1秒后执行倒计时函数
  setTimeout(function() {settime()},1000)
}
