var currentPage = -1,
	pageSize = 8,
	total = false,
	centerX = '',
	centerY = '',
	_distance = '',
	_imgArr = [
		'http://www.hxmshop.com/images/banner/banner-05.jpg',
		'http://www.hxmshop.com/images/banner/banner-01.jpg',
		'http://www.hxmshop.com/images/banner/banner-04.jpg',
		'http://www.hxmshop.com/images/banner/banner-05.jpg',
		'http://www.hxmshop.com/images/banner/banner-01.jpg',
	];

/**
 * 导航
 * @param {Object} name
 * @param {Object} x
 * @param {Object} y
 */
function openNavigation(name, x, y) {
	// 设置目标位置坐标点和起始位置坐标点
	var dst = new plus.maps.Point(x, y);
	var src = new plus.maps.Point(centerX, centerY);
	// 调用系统地图显示 
	plus.maps.openSysMap(dst, name, src);
}

function showDetail(shopId){
	map_detail = plus.webview.create('../../detail/detail.html', 'mapDetail',{
		width: '100%',
		height: '100%',
		position: 'absolute',
		scrollIndicator: 'none',
		background: '#fff'
	}, {
		shopId: shopId,
		centerX: centerX,
		centerY: centerY,
		distance: _distance
	});
	plus.webview.show(map_detail, 'pop-in');
}

/**
 * 组装li html
 */
function setHtml (distance, id, img, name, address, tel, x, y) {
	return '<div class="map-list-img">'+
			'<img src="'+ img +'" alt="" />'+
		'</div>'+
		'<div class="map-list-group">'+
			'<div class="first-row">'+
				'<div class="name">'+ name +'</div>'+
				'<div class="distance">'+ distance +'米</div>'+
			'</div>'+
			'<div class="address mui-icon mui-icon-location">'+ address + '</div>'+
		'</div>'+
//			'<div class="map-list-btn">'+
//				'<a href="tel:'+ tel +'" class="mui-btn mui-btn-blue mui-btn-outlined">'+
//					'<span class="mui-icon mui-icon-phone"></span>联系我'+
//				'</a>'+
//				'<a class="mui-btn mui-btn-blue mui-btn-outlined" onclick="openNavigation(\''+ name +'\', \''+ x +'\', \''+ y +'\')">'+
//					'<span class="mui-icon mui-icon-navigate"></span>去这儿'+
//				'</a>'+
//			'</div>'
	'</div>';
}

/**
 * 查询
 */
function getData (page, callback) {
	plus.nativeUI.showWaiting( "正在加载..." );
	
	var table = document.body.querySelector('.mui-table-view');
	
	jAjax('/shop/shop/list', 'POST', true, {
		centerX: centerX,
		centerY: centerY,
		number: page,
		pageSize: pageSize,
		mysort: 1,
		distance: DISTANCE
	}, function(type, data) {
		plus.nativeUI.closeWaiting();
		if(!type) {
			plus.nativeUI.toast('抱歉，网络繁忙，请稍后重试', {duration:'long'});
			if(callback) callback();
			return;
		}
		
		currentPage = page;
		total = data.result.last;
		for(var i = 0; i < data.result.content.length; i++) {
			_imgUrl = '../../../images/icon.png';
			if(data.result.content[i].busImageUrls != null && data.result.content[i].busImageUrls != '' && data.result.content[i].busImageUrls != 'null') _imgUrl = API_URL_IMG + '/img/' + data.result.content[i].busImageUrls.split(',')[0];
			
			var li = document.createElement('li');
			li.id = data.result.content[i].id;
			li.className = 'mui-table-view-cell';
			li.innerHTML = setHtml(data.result.content[i].distance, data.result.content[i].id, _imgUrl, data.result.content[i].name, data.result.content[i].regionDetail, data.result.content[i].tel, data.result.content[i].x, data.result.content[i].y);
			table.appendChild(li);
		}
		
		mui(".mui-table-view").off("tap", 'li');
		mui(".mui-table-view").on("tap", 'li', function() {
			plus.nativeUI.showWaiting( "加载中..." );
			_distance = h(this).find('.distance').html();
			showDetail(this.id);
		});
		
		if(callback) callback();
	});
}

/**
 * 下拉刷新具体业务实现
 */
function pullDownRefresh() {
	h('#slider').find('.mui-slider-item').each(function(obj){
	    h(obj).find('a').find('img').attr('src', _imgArr[obj.index]);
	});
	
	var table = document.body.querySelector('.mui-table-view');
	table.innerHTML = '';
	total = false;
	
	plus.nativeUI.showWaiting( "正在获取当前位置..." );
	plus.geolocation.getCurrentPosition( function ( p ) {
		plus.nativeUI.closeWaiting();
		
		centerX = p.coords.longitude;
		centerY = p.coords.latitude;
		h('#addresses').html('当前位置：' + (p.address ? ((p.address.city ? p.address.city : '') + (p.address.district ? p.address.district : '') + (p.address.street ? (p.address.street + '附近') : '')) : ''));
		
		getData(0, function() {
			mui('#mapListSub').pullRefresh().endPulldownToRefresh(); //refresh completed
			mui('#mapListSub').pullRefresh().refresh(true);
		});
	}, function ( e ) {
		plus.nativeUI.closeWaiting();
		plus.nativeUI.toast('获取位置信息失败', {duration:'long'});
		h('#addresses').html('当前位置：');
	});
}

/**
 * 上拉加载具体业务实现
 */
function pullUpRefresh() {
	if(total == true) return mui('#mapListSub').pullRefresh().endPullupToRefresh(true);
	
	getData((currentPage + 1), function() {
		mui('#mapListSub').pullRefresh().endPullupToRefresh(total);
	});
}

/**
 * 事件初始化
 */
mui.plusReady(function() {
	plus.nativeUI.showWaiting( "正在获取当前位置..." );
	
	var slider = mui("#slider");
	slider.slider({
		interval: 2000
	});
	
	plus.geolocation.getCurrentPosition( function ( p ) {
		plus.nativeUI.closeWaiting();
		
		centerX = p.coords.longitude;
		centerY = p.coords.latitude;
		h('#addresses').html('当前位置：' + (p.address ? ((p.address.city ? p.address.city : '') + (p.address.district ? p.address.district : '') + (p.address.street ? (p.address.street + '附近') : '')) : ''));
		
		/**
		 * 插件初始化
		 */
		mui.init({
			pullRefresh: {
				container: '#mapListSub',
				down: {
					callback: pullDownRefresh
				},
				up: {
					auto: true,
					contentrefresh: '正在加载...',
					callback: pullUpRefresh
				}
			}
		});
	}, function ( e ) {
		plus.nativeUI.closeWaiting();
		plus.nativeUI.toast('获取位置信息失败', {duration:'long'});
		h('#addresses').html('当前位置：');
	});
});