var mapObj = null, mapDetailBtn = null,
thisPoint = {
	lng: '',
	lat: ''
};

function createLocationBtn() {
	plus.webview.create('map_list/map_list.html', 'mapLocationBtn',{
		bottom: '60px',
		right: '10px',
		width: '40px',
		height: '40px',
		position: 'absolute',
		scrollIndicator: 'none',
		background: 'transparent'
	});
	plus.webview.show('mapLocationBtn', 'zoom-fade-out');
}

function createSubview(data){
	if(mui.os.ios)  {
		mui.openWindowWithTitle({
			url: 'map_detail/map_detail.html',
			id: 'mapDetailBtn',
			show: {
				aniShow: 'pop-in'
			},
			extras: data,
			waiting: {
				title: '正在加载...'
			}
		}, {
			title: { //标题配置
				text: data.name, //标题文字
			},
			back: { //左上角返回箭头
				image: {
					base64Data: backBase64
				}
			}
		})
	} else if(mui.os.android) {
		plus.webview.close('mapDetailBtn', 'zoom-fade-in');
		
		mapDetailBtn = plus.webview.create('map_detail/map_detail.html', 'mapDetailBtn',{
			top: '45px',
			left: '0px',
			width: '100%',
			height: '158px',
			position: 'absolute',
			scrollIndicator: 'none',
			background: '#fff'
		}, data);
		plus.webview.show(mapDetailBtn, 'zoom-fade-out');
	}
}

function showDetail(data) {
	map_detail = plus.webview.create('../detail/detail.html', 'mapDetail',{
		width: '100%',
		height: '100%',
		position: 'absolute',
		scrollIndicator: 'none',
		background: '#fff'
	}, data);
	plus.webview.show(map_detail, 'pop-in');
}

function openNavigation(name, point) {
	// 设置目标位置坐标点和起始位置坐标点
	var dst = new plus.maps.Point(point.lng, point.lat);
	var src = new plus.maps.Point(thisPoint.lng, thisPoint.lat);
	// 调用系统地图显示 
	plus.maps.openSysMap( dst, name, src );
}

function refreshMap () {
	plus.webview.close(mapDetailBtn, 'zoom-fade-in');
	
	mapObj.getUserLocation(function (state, point) {
		if(state != 0) return plus.nativeUI.toast('抱歉，网络繁忙，请稍后重试', {duration:'long'});
		mapObj.setZoom(16);
		mapObj.setCenter(new plus.maps.Point(point.longitude, point.latitude));
		
		thisPoint.lng = point.longitude;
		thisPoint.lat = point.latitude;
		
		plus.webview.getLaunchWebview().evalJS('getThisPoint("'+ thisPoint.lng +'", "'+ thisPoint.lat +'")');
		
		jAjax('/shop/shop/list', 'POST', true, {
			centerX: point.longitude,
			centerY: point.latitude,
			number: 0,
			pageSize: 999,
			mysort: 1,
			distance: DISTANCE
		}, function(type, data) {
			if(!type) return plus.nativeUI.toast('抱歉，网络繁忙，请稍后重试', {duration:'long'});
			if(data.status != 200) return plus.nativeUI.toast('抱歉，网络繁忙，请稍后重试', {duration:'long'});
			
			for(var i = 0; i < data.result.content.length; i++) {
				var marker=null, _icon = '../../images/map-iocn1';
				
				if(String(data.result.content[i].joinType) == '0') _icon = '../../images/map-iocn1';
				if(String(data.result.content[i].joinType) == '1') _icon = '../../images/map-iocn3';
				if(String(data.result.content[i].joinType) == '2') _icon = '../../images/map-iocn4';
				if(String(data.result.content[i].joinType) == '3') _icon = '../../images/map-iocn2';
				
				if(mui.os.android) _icon += '-big.png';
				if(mui.os.ios) _icon += '.png';
				
				_imgUrl = '../../../images/icon.png';
				if(data.result.content[i].busImageUrls != null && data.result.content[i].busImageUrls != '' && data.result.content[i].busImageUrls != 'null') _imgUrl = API_URL_IMG + '/img/' + data.result.content[i].busImageUrls.split(',')[0];
			
				marker=new plus.maps.Marker(new plus.maps.Point(gcj02tobd09(data.result.content[i].x, data.result.content[i].y)[0], gcj02tobd09(data.result.content[i].x, data.result.content[i].y)[1]));
				marker.setIcon(_icon);
				marker.shopId = data.result.content[i].id;
				marker.name = data.result.content[i].name;
				marker.busImageUrls = _imgUrl;
				marker.regionDetail = data.result.content[i].regionDetail;
				marker.joinType = data.result.content[i].joinType;
				marker.distance = data.result.content[i].distance;
				marker.tel = data.result.content[i].servicetel != null ? data.result.content[i].servicetel : data.result.content[i].tel;
				marker.x = data.result.content[i].x;
				marker.y = data.result.content[i].y;
				marker.onclick = function ( res ) {
					createSubview({
						shopId: res.shopId,
						name: res.name,
						busImageUrls: res.busImageUrls,
						regionDetail: res.regionDetail,
						joinType: res.joinType,
						distance: res.distance,
						tel: res.tel,
						x: res.x,
						y: res.y,
						centerX: thisPoint.lng,
						centerY: thisPoint.lat
					});
					if(mui.os.android) mapObj.setCenter(new plus.maps.Point(res.point.longitude, res.point.latitude));
				}
				mapObj.addOverlay(marker);
			}
		});
	});
}

/*
 * 插件初始化
 */
mui.init();

/*
 * 事件初始化
 */
mui.plusReady(function() {
	mapObj = new plus.maps.Map('amap');
	mapObj.showUserLocation(true);
	
	mapObj.onclick = function( point ){
		plus.webview.close(mapDetailBtn, 'zoom-fade-in');
	}
	
	refreshMap();
});