/*
 * 插件初始化
 */
mui.init();

/*
 * 事件初始化
 */
mui.plusReady(function () {

	var userStr = plus.storage.getItem('user');
	if (null == userStr || userStr == '') {
		return;
	}
	var user = JSON.parse(userStr);
	document.getElementById('loginNo').value = user.loginNo;

	mui(".body").on("tap", ".saveButton", function () {
		var loginNo = document.getElementById('loginNo').value;
		var password = document.getElementById('password').value;
		var newPassword = document.getElementById('newPassword').value;
		var newPassword2 = document.getElementById('newPassword2').value;
		
		if(loginNo=='' || password=='' || newPassword==''|| newPassword2=='') {
			return plus.nativeUI.toast('请完整录入全部信息', {duration: 'long'});
		}
		
		if(password == '') return plus.nativeUI.toast('请输入密码', {duration: 'long'});
		if(newPassword == '') return plus.nativeUI.toast('请输入确认密码', {duration: 'long'});
		if(newPassword != newPassword2) return plus.nativeUI.toast('两次密码输入不一致', {duration: 'long'});
		
		if(newPassword == password) return plus.nativeUI.toast('新旧密码不能一致', {duration: 'long'});
		
		if(newPassword.length < 6 || newPassword.length > 30) {
			mui.toast('设置6-30位密码');
			return false;
		}
		

		var params = {};
		params.loginNo = loginNo;
		params.password = md5(password);
		params.newPassword = md5(newPassword);

		var url = '/user/user/update-password';
		jAjax(url, 'POST', true, params, function (type, data) {
			if (!type) return console.log(data);
			var msg = '修改密码成功';
			if (data.status != '200') {
				msg = data.msg;
				mui.toast(msg, {
					duration: 'long',
					type: 'div'
				})
			} else {
				mui.toast(msg, {
					duration: 'long',
					type: 'div'
				})

				setTimeout(function () {
					openInfo(data);
				}, 500)
			}
			console.log(JSON.stringify(data));
		});
	});

});

function openInfo(data) {
	plus.storage.clear();
	plus.webview.getWebviewById('userInfo').evalJS('resetDom()');
	plus.webview.getWebviewById(plus.webview.all()[0].id).evalJS('menu()');
	mui.back();
}