/*
 * 插件初始化
 */
mui.init();

/*
 * 事件初始化
 */
var BASE_IMG_PATH = API_URL_IMG + '/img';
mui.plusReady(function () {

	var self = plus.webview.currentWebview();
	document.getElementById('nickName').value = self.nickName||'';
	document.getElementById('logo').src = self.logo||'';

	mui(".body").on("tap", ".saveButton", function () {
		var logo = document.getElementById('logo').src;
		var nickName = document.getElementById('nickName').value;
		var params = {};
		if(logo!=null && logo!=undefined && logo!='' && logo.indexOf('userlogo.jpeg')==-1) {
			logo = logo.replace(BASE_IMG_PATH, '');
			params.logo = logo;
		}
				
		params.nickName = nickName;
		if(nickName.length>11) {
			mui.toast('昵称不能大于11个字符');
			return;
		}
		
		console.log(params);
		var url = '/business/member/update';
		mui('.saveButton').button('loading'); //切换为loading状态
		jAjax(url, 'POST', true, params, function (type, data) {
			mui('#saveButton').button('reset'); //切换为reset状态(即重置为原始的
			if (!type) return console.log(data);
			var msg = '修改资料成功';
			if (data.status != '200') {
				msg = data.msg;
				mui.toast(msg, {
					duration: 'long',
					type: 'div'
				})
			} else {
				mui.toast(msg, {
					duration: 'long',
					type: 'div'
				})
				setTimeout(function () {
					plus.webview.getWebviewById("userInfo").reload();
					mui.back();
				}, 500)
			}
			console.log(JSON.stringify(data));
		});
	});


	/*上传或者拍照*/
	mui(".body").on("tap", "#user-info-group", function () {
		console.log('upload====>>');
	//document.getElementById('logo').addEventListener('tap', function () {
		if (mui.os.plus) {
			var a = [{
				title: "拍照"
			}, {
				title: "从手机相册选择"
			}];
			plus.nativeUI.actionSheet({
				title: "照片上传",
				cancel: "取消",
				buttons: a
			}, function (b) { /*actionSheet 按钮点击事件*/
				switch (b.index) {
					case 0:
						break;
					case 1:
						getImage(); /*拍照*/
						break;
					case 2:
						galleryImg(); /*打开相册*/
						break;
					default:
						break;
				}
			})
		}
	//}, false);
	});
});





//拍照 
function getImage() {
	var c = plus.camera.getCamera();
	c.captureImage(function (e) {
		plus.io.resolveLocalFileSystemURL(e, function (entry) {
			var s = entry.toLocalURL() + "?version=" + new Date().getTime();
			uploadHead(s); /*上传图片*/
		}, function (e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function (s) {
		console.log("error" + s);
	}, {
		filename: "_doc/head.png"
	})
}

//本地相册选择 
function galleryImg() {
	plus.gallery.pick(function (a) {
		uploadHead(a);
		//		plus.io.resolveLocalFileSystemURL(a, function(entry) {
		//			plus.io.resolveLocalFileSystemURL("_doc/", function(root) {
		//				root.getFile("head.png", {}, function(file) {
		//					//文件已存在 
		//					file.remove(function() {
		//						console.log("file remove success");
		//						entry.copyTo(root, 'head.png', function(e) {
		//								var e = e.fullPath + "?version=" + new Date().getTime();
		//								uploadHead(e); /*上传图片*/
		//								//变更大图预览的src 
		//								//目前仅有一张图片，暂时如此处理，后续需要通过标准组件实现 
		//							},
		//							function(e) {
		//								console.log('copy image fail:' + e.message);
		//							});
		//					}, function() {
		//						console.log("delete image fail:" + e.message);
		//					});
		//				}, function() {
		//					//文件不存在 
		//					entry.copyTo(root, 'head.png', function(e) {
		//							var path = e.fullPath + "?version=" + new Date().getTime();
		//							uploadHead(path); /*上传图片*/
		//						},
		//						function(e) {
		//							console.log('copy image fail:' + e.message);
		//						});
		//				});
		//			}, function(e) {
		//				console.log("get _www folder fail");
		//			})
	}, function (e) {
		console.log("读取拍照文件错误：" + e.message);
	});
}

function uploadHead(imgPath) {

	//替换上传图片
	document.getElementById('logo').src = imgPath;

	var image = new Image();
	var imgType = getImageType(imgPath);
	image.src = imgPath;
	image.onload = function () {
		var imgData = getBase64Image(image, imgType);
		/*在这里调用上传接口*/
		//var url = 'http://192.168.123.200:9094/information/attachment/upload/1494506962000';
		var url = API_URL+'/information/attachment/upload64/1494506962000';
		mui.ajax(url, {
			data: {
				'imgBase64Data':imgData,
				'imgType':imgType
			},
			dataType: 'json',
			type: 'post',
			crossDomain: true,
			timeout: 10000,
			headers: {'Content-Type':'application/json'},
			success: function(data) {
				console.log('上传成功====>>' + data.result.pathVname);
				document.getElementById('logo').src = BASE_IMG_PATH +data.result.pathVname; 
			},
			error: function(xhr, type, errorThrown) {
				document.getElementById('logo').src = 'default.png';
				mui.toast('网络异常，请稍后再试！');
			}
		});

	}
}

//将图片压缩转成base64 
function getBase64Image(img, type) {
	var canvas = document.createElement("canvas");
	var width = img.width;
	var height = img.height;
	// calculate the width and height, constraining the proportions

	var compressWidth = 100 * 2;

	//	//暂时注释不压缩上传
		if(width > height) {
			if(width > compressWidth) {
				height = Math.round(height *= compressWidth / width);
				console.log('height==>'+height);
				width = compressWidth;
			}
		} else {
			if(height > compressWidth) {
				width = Math.round(width *= compressWidth / height);
				console.log('height2==>'+height);
				height = compressWidth;
			}
		}
	canvas.width = width; /*设置新的图片的宽度*/
	canvas.height = height; /*设置新的图片的长度*/
	var ctx = canvas.getContext("2d");
	ctx.drawImage(img, 0, 0, width, height); /*绘图*/

	//var dataURL = canvas.toDataURL("image/" + (type == 'jpg' ? 'jpeg' : (type == 'jpeg' ? 'jpeg' : 'png')), 0.8);
	var dataURL = canvas.toDataURL("image/jpeg", 0.8);
	return dataURL; 
}

function getImageType(imgPath) {
	var type = 'png';
	if (imgPath.indexOf('.jpg') != -1 || imgPath.indexOf('.JPG') != -1) {

		type = 'jpg';
	} else if (imgPath.indexOf('.jpeg') != -1 || imgPath.indexOf('.JPEG') != -1) {

		type = 'jpeg';
	}
	return type;
}